#pragma once

#include "basic.h"
#include <glad/glad.h>
#include <GLFW/glfw3.h>


struct Shader {
  u32 program = 0;
};

bool load_shaders(Shader *shader, string vertex_shader_filepath, string fragment_shader_filepath);
u32 load_shader(string filepath, u32 shader_type);
void use_shader(Shader *shader);
void cleanup_shader(Shader *shader);

